# InventoryGUISlot

abstract class InventoryGUISlot<T : ForInventory>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
onClick
Link copied to clipboard
abstract fun onClick(clickEvent: InventoryGUIClickEvent<T>)
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Inheritors

InventoryGUIElement
Link copied to clipboard
InventoryGUIFreeSlot
Link copied to clipboard